OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.VertexAttrib64Bit

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBVertexAttrib64Bit :: MonadIO m => m Bool
- gl_ARB_vertex_attrib_64bit :: Bool
- gl_DOUBLE_MAT2 :: GLenum
- gl_DOUBLE_MAT2x3 :: GLenum
- gl_DOUBLE_MAT2x4 :: GLenum
- gl_DOUBLE_MAT3 :: GLenum
- gl_DOUBLE_MAT3x2 :: GLenum
- gl_DOUBLE_MAT3x4 :: GLenum
- gl_DOUBLE_MAT4 :: GLenum
- gl_DOUBLE_MAT4x2 :: GLenum
- gl_DOUBLE_MAT4x3 :: GLenum
- gl_DOUBLE_VEC2 :: GLenum
- gl_DOUBLE_VEC3 :: GLenum
- gl_DOUBLE_VEC4 :: GLenum
- gl_RGB32I :: GLenum
- glGetVertexAttribLdv :: MonadIO m => GLuint -> GLenum -> Ptr GLdouble -> m ()
- glVertexAttribL1d :: MonadIO m => GLuint -> GLdouble -> m ()
- glVertexAttribL1dv :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttribL2d :: MonadIO m => GLuint -> GLdouble -> GLdouble -> m ()
- glVertexAttribL2dv :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttribL3d :: MonadIO m => GLuint -> GLdouble -> GLdouble -> GLdouble -> m ()
- glVertexAttribL3dv :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttribL4d :: MonadIO m => GLuint -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glVertexAttribL4dv :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttribLPointer :: MonadIO m => GLuint -> GLint -> GLenum -> GLsizei -> Ptr a -> m ()

# Extension Support

glGetARBVertexAttrib64Bit :: MonadIO m => m Bool

Is the ARB_vertex_attrib_64bit extension supported?

gl_ARB_vertex_attrib_64bit :: Bool

Is the ARB_vertex_attrib_64bit extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBVertexAttrib64Bit` in those cases instead.

# Enums

gl_DOUBLE_MAT2 :: GLenum

gl_DOUBLE_MAT2x3 :: GLenum

gl_DOUBLE_MAT2x4 :: GLenum

gl_DOUBLE_MAT3 :: GLenum

gl_DOUBLE_MAT3x2 :: GLenum

gl_DOUBLE_MAT3x4 :: GLenum

gl_DOUBLE_MAT4 :: GLenum

gl_DOUBLE_MAT4x2 :: GLenum

gl_DOUBLE_MAT4x3 :: GLenum

gl_DOUBLE_VEC2 :: GLenum

gl_DOUBLE_VEC3 :: GLenum

gl_DOUBLE_VEC4 :: GLenum

gl_RGB32I :: GLenum

# Functions

glGetVertexAttribLdv

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname`.
-> Ptr GLdouble | `params` pointing to `COMPSIZE(pname)` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribL1d

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribL1dv

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `1` element of type `GLdouble`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribL2d

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribL2dv

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `2` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribL3d

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribL3dv

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `3` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribL4d

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> GLdouble | `w`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribL4dv

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `4` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribLPointer

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `size`.
-> GLenum | `type`.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `size` elements of type `a`.
-> m () |

Manual page for OpenGL 4.x.